> ## Documentation Index
> Fetch the complete documentation index at: https://docs.axle.energy/llms.txt
> Use this file to discover all available pages before exploring further.

# Get meter info by address

> Retrieve detailed information about a meter using its address.

This endpoint allows direct lookup of meter information by address, when the MPAN is not already known (if the MPAN is known, use the /meter/{mpan} endpoint).



## OpenAPI

````yaml POST /meter/by-address
openapi: 3.1.0
info:
  title: Axle API Docs
  description: >-
    For full documentation please see our official docs at <a
    href='http://docs.axle.energy'>docs.axle.energy</a>
  version: 1.4.6
servers:
  - url: https://api-sandbox.axle.energy
security: []
tags:
  - name: 1. Authentication
    description: Authenticate yourself with the Axle API
  - name: 2. Meters
    description: Find key info about your sites
  - name: 3. Sites
    description: Register your sites with Axle; configure market participation
  - name: 4. Assets
    description: Register your assets with Axle
  - name: 5. Data
    description: Send asset metrics to Axle, for analysis and optimisation purposes
  - name: 6. Rewards
    description: >-
      Determine how much your users have earned by participating with Axle;
      allow balance withdrawal
  - name: 7. Validation
    description: Validate structured data against Axle's rules
  - name: 8. Examples
    description: Get example data for testing
paths:
  /meter/by-address:
    post:
      tags:
        - 2. Meters
      summary: Get Meter Info By Address
      description: >-
        Retrieve detailed information about a meter using its address.


        This endpoint allows direct lookup of meter information by address, when
        the MPAN is not already known (if the MPAN is known, use the
        /meter/{mpan} endpoint).
      operationId: get_meter_info_by_address_meter_by_address_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MeterByAddressRequest'
        required: true
      responses:
        '200':
          description: Meter information for the requested address
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MeterResponse'
        '202':
          description: >-
            Unique meter was not found for the requested address (no meter or
            ambiguous address)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorWithDetail'
        '422':
          description: Provided address input was invalid/ ambiguous
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorWithDetail'
        '500':
          description: Something went wrong whilst processing the request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorWithDetail'
        '503':
          description: Request to meter data provider failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorWithDetail'
        '504':
          description: Request to meter data provider timed out
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorWithDetail'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    MeterByAddressRequest:
      properties:
        address:
          type: string
          title: Address
          description: >-
            Full address of the meter, e.g. '221B Baker Street, London, NW1
            6XE'. Must include postcode and begin with house number/ name or
            other uniquely-identifying information. May be constructed from
            individual address components, concatenated with separating commas.
            Better formatting may increase the chance of a meter being found.
      type: object
      required:
        - address
      title: MeterByAddressRequest
    MeterResponse:
      properties:
        mpan:
          type: string
          title: Mpan
          description: Meter Point Administration Number
        half_hourly_settled:
          type: boolean
          title: Half Hourly Settled
          description: Whether the meter is half-hourly settled
        supplier_mpid:
          type: string
          title: Supplier Mpid
          description: Market Participant ID of the supplier
        supplier_name:
          type: string
          title: Supplier Name
          description: Name of the electricity supplier
        eligible_markets:
          items:
            $ref: '#/components/schemas/EligibleMarket'
          type: array
          uniqueItems: true
          description: Markets in which the meter is eligible to participate
      type: object
      required:
        - mpan
        - eligible_markets
      title: MeterResponse
      description: >-
        Response model for meter information.


        Contains details about a meter including its MPAN, settlement status,
        and supplier information.
    ErrorWithDetail:
      properties:
        detail:
          type: string
          title: Detail
      type: object
      required:
        - detail
      title: ErrorWithDetail
      description: Standard error response with a detailed message.
    EligibleMarket:
      type: string
      enum:
        - cm
        - dno
        - wholesale
      title: EligibleMarket
      description: An enumeration.
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: auth/token-form

````